package de.intevation.flys.artifacts;

import de.intevation.flys.artifacts.model.FacetTypes;

import org.apache.log4j.Logger;

/**
 * The default fixation analysis artifact.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class FixationArtifact
extends      FLYSArtifact
implements   FacetTypes {

    /** The logger for this class. */
    private static Logger logger = Logger.getLogger(FixationArtifact.class);

    /** The name of the artifact. */
    public static final String ARTIFACT_NAME = "fixanalysis";

    /**
     * The default constructor.
     */
    public FixationArtifact() {
    }

    /**
     * Returns the name of the concrete artifact.
     *
     * @return the name of the concrete artifact.
     */
    @Override
    public String getName() {
        return ARTIFACT_NAME;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
